<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file(BASEDIR."local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);}

$userprivat = count(file(BASEDIR."local/privat/$log.$config_priv"));

if(eregi("[^a-z0-9-]",$_GET['action']) || $action=="" || $action=="index"){header ("Location: ../index.php?".SID); exit;}
if($action=="menu" && (md5($_SESSION['par'])!=$provpar || $_SESSION['log']!=$provlog)){header ("Location: ../index.php?".SID); exit;}

if(file_exists(BASEDIR."local/datamain/$action.dat")){
include_once BASEDIR."local/datamain/$action.dat";
echo '<img src="'.BASEDIR.'images/img/act_home.gif" alt=""> <a href="'.BASEDIR.'index.php?'.SID.'">На главную</a><br>';
	
}else{header ("Location: ../index.php?error&".SID); exit;}


include_once"../themes/$config_themes/foot.php";
?>